// Here we can define global variables.
var mcp_username 			= '';
var mcp_image				= '';
var mcp_image_title 		= '';
var mcp_confirmation_code 	= '';
var mcp_user_id     		= 0;

/*
 * Set a global message.
 */
( function( $ ) {
	"use strict";
    $.fn.mcp_message = function( message ) {
		$( '.mcp-message' ).html( message ).stop( true ).css( { top: '-100px' } ).animate( { top: 0 }, 250 ).delay( 2500 ).animate( { top: '-100px' }, 250 );
	};
} ( jQuery ) );

/*
 * Get a query parameter from browser location.
 */
( function( $ ) {
	"use strict";
	$.fn.mcp_param = function(sParam) {
		var sPageURL = window.location.search.substring(1),
			sURLVariables = sPageURL.split('&'),
			sParameterName,
			i;

		for (i = 0; i < sURLVariables.length; i++) {
			sParameterName = sURLVariables[i].split('=');

			if (sParameterName[0] === sParam) {
				return sParameterName[1] === undefined ? true : decodeURIComponent(sParameterName[1]);
			}
		}
	};
} ( jQuery ) );

/*
 * Toggle password visibility.
 */
( function( $ ) {
	"use strict";
	$.fn.mcp_toggle_password = function() {
		if ( this.hasClass( 'is-hidden' ) ) {
			this.find( 'svg use' ).attr( 'xlink:href', memberchimp_params.svg + 'eye' );
			this.addClass( 'is-visible' ).removeClass( 'is-hidden' ).attr( 'data-tip', this.attr( 'data-hide') ).parents( '.memberchimp-field' ).find( 'input[type=password]' ).attr( 'type', 'text' ).focus();
		} else {
			this.find( 'svg use' ).attr( 'xlink:href', memberchimp_params.svg + 'eye-off' );
			this.addClass( 'is-hidden' ).removeClass( 'is-visible' ).attr( 'data-tip', this.attr( 'data-show') ).parents( '.memberchimp-field' ).find( 'input[type=text]' ).attr( 'type', 'password' ).focus();
		}
		$( document.body ).trigger( 'mcp-init-tooltips' );
	};
} ( jQuery ) );

/*
 * Opens a dropdown menus.
 */
( function( $ ) {
	"use strict";
	$.fn.mcp_open_menu = function( elem, target ) {
		if ( $( document.body ).find( $( '#' + elem ) ).length ) {
			var dropdown = $( '#' + elem );
		} else {
			var dropdown = target.parents( '.memberchimp-grid-item' ).find( '.' + elem );
			if ( dropdown.length == 0 ) {
				var dropdown = target.parents( '.memberchimp' ).find( '.' + elem );
			}
		}
		if ( dropdown.is( ':hidden' ) ) {
			$( '.mcp-dropdown:visible' ).each( function() {
				$( this ).hide();
			} );
			dropdown.show( 0, function() {
				$( '#tiptip_holder' ).css( { opacity: 0 } );
				target.blur();
			} );
		} else {
			dropdown.hide();
		}
	};
} ( jQuery ) );

/*
 * Hide active dropdown menus.
 */
( function( $ ) {
	"use strict";
    $.fn.mcp_hide_menu = function() {
		var dropdown = $( '.mcp-dropdown:visible' );
		dropdown.hide();
	};
} ( jQuery ) );

/*
 * After an AJAX request.
 */
( function( $ ) {
	"use strict";
	$.fn.mcp_after_ajax = function( response ) {
		$.modal.close();
		if ( response.keep_alive === undefined ) {
			$( document ).mcp_hide_menu();
		}
		if ( response.message ) {
			$( document ).mcp_message( response.message );
		} else if ( response.error ) {
			$( document ).mcp_message( response.error );
		}
		if ( response.js_update ) {
			if ( response.js_update.child ) {
				$( response.js_update.parent ).find( response.js_update.child ).replaceWith( response.js_update.html );
			}
		}
		if ( response.js_remove ) {
			$( response.js_remove ).remove();
		}
		if ( response.toggle ) {
			$.each( response.toggle, function( elem, addclass ) {
				$( response.js_update.parent ).find( elem ).removeClass( elem.replace( '.', '' ) ).addClass( addclass );
			} );
		}
	};
} ( jQuery ) );

/*
 * Save a cropped image.
 */
( function( $ ) {
	"use strict";
	$.fn.mcp_save_crop = function( event, the_crop, w, h, name ) {
		$( event.target ).addClass( 'disabled' );
		the_crop.croppie( 'result', {
			size: {
				width: w,
				height: h
			},
			circle: false,
		} ).then( function ( mcp_image ) {

			var data = new FormData();
			data.append( 'user_id', $( event.target ).attr( 'data-user_id' ) );
			data.append( 'action', 'memberchimp_' + name );
			data.append( 'security', memberchimp_params.nonces[ name ] );
			data.append( 'mcp_image', mcp_image );

			$.ajax( {
				type: 'post',
				url: memberchimp_params.ajaxurl,
				data: data,
				contentType: false,
				processData: false,
				success: function ( response ) {
					$( event.target ).removeClass( 'disabled' );
					$( document ).mcp_after_ajax( response );
					if ( name == 'save_cover' ) {
						$( document ).mcp_reset_cover();
					}
				}
			} );

		} );
	};
} ( jQuery ) );

/*
 * Reset cover image.
 */
( function( $ ) {
	"use strict";
	$.fn.mcp_reset_cover = function() {
		$( '.mcp-cover-cropper-holder' ).hide();
		$( '.mcp-cover-cropper-holder' ).find( '.memberchimp-button.main' ).removeClass( 'disabled' );
		$( '.mcp-cover-cropper-actions' ).appendTo( $( '.mcp-cover-cropper-holder' ) );
		$( '.mcp-input-cover' ).parent().trigger( 'reset' );
		$mcp_cover_crop.croppie( 'destroy' );
	};
} ( jQuery ) );

/*
 * Submits a standard or ajax form.
 */
( function( $ ) {
	"use strict";
	$.fn.mcp_form = function( event ) {
		var elem = this;
		if ( elem.attr( 'data-ajax' ) != 'yes' ) {
			return true;
		}
		event.preventDefault();
		var container = elem.parents( '.memberchimp' );
		if ( container.find( '.memberchimp-button.main' ).hasClass( 'disabled' ) ) {
			return false;
		} else {
			container.find( '.memberchimp-button.main' ).addClass( 'disabled' );
		}
		elem.find( '.memberchimp-errors, .memberchimp-error, .memberchimp-message, .memberchimp-info' ).remove();
		$.post( memberchimp_params.ajaxurl, elem.serialize() + '&action=memberchimp_send_form', function( response ) {
			elem.find( '.mcp-error' ).removeClass( 'mcp-error' );
			elem.find( '.memberchimp-row:first' ).before( response.html );
			if ( response.error_fields ) {
				container.find( '.memberchimp-button.main' ).removeClass( 'disabled' );
				$.each( response.error_fields, function( key, value ) {
					elem.find( value ).find( 'label, input' ).addClass( 'mcp-error' );
				} );
			} else {
				if ( response.js_redirect ) {
					window.location.href = response.js_redirect;
				} else {
					container.find( '.memberchimp-button.main' ).removeClass( 'disabled' );
					if ( response.cleardata ) {
						elem.find( ':input:not([type=hidden],[type=submit])' ).val( '' );
					}
				}
			}
		} ).fail( function( xhr, status, error ) {
			container.find( '.memberchimp-button.main' ).removeClass( 'disabled' );
			elem.prepend( '<div class="memberchimp-info">' + error + '</div>' );
		} );
	};
} ( jQuery ) );