<?php
/**
 * Load assets
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * MCDC_Admin_Assets class.
 */
class MCDC_Admin_Assets {

	/**
	 * Hook in tabs.
	 */
	public function __construct() {
		add_action( 'admin_enqueue_scripts', array( $this, 'admin_scripts' ) );
	}

	/**
	 * Enqueue scripts.
	 */
	public function admin_scripts() {
		global $wp_query, $post;

		$screen       = get_current_screen();
		$screen_id    = $screen ? $screen->id : '';
		$mcp_screen_id = sanitize_title( __( 'Member Chimp', 'memberchimp' ) );

		// Drip content settings.
		if ( $mcp_screen_id . '_page_mcp-settings' === $screen_id && isset( $_GET['section'] ) && 'drip' == $_GET['section'] ) {
			wp_register_script( 'mcp-drip-content', mcp_drip()->plugin_url() . '/assets/js/admin/drip-content.js', array( 'jquery', 'memberchimp_admin', 'underscore', 'backbone', 'wp-util' ), MCP_VERSION, true );
			wp_enqueue_script( 'mcp-drip-content' );
			wp_localize_script(
				'mcp-drip-content',
				'memberchimp_admin_drip_content',
				array(
					'ajax_url'          => admin_url( 'admin-ajax.php' ),
					'update_drip_nonce' => wp_create_nonce( 'update-drip-content' ),
				)
			);
		}

	}

}

return new MCDC_Admin_Assets();