<?php
/**
 * Admin Settings.
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * MCDC_Admin_Settings class.
 */
class MCDC_Admin_Settings {

	/**
	 * Constructor.
	 */
	public function __construct() {
		add_filter( 'memberchimp_get_sections_addons', array( $this, 'add_settings_tab' ), 10 );
		add_filter( 'memberchimp_get_settings_addons', array( $this, 'add_settings' ), 10, 2 );
	}

	/**
	 * Add settings tab.
	 */
	public function add_settings_tab( $sections = array() ) {
		$sections[ 'drip' ] = esc_html__( 'Drip content', 'memberchimp' );

		return $sections;
	}

	/**
	 * Add settings.
	 */
	public function add_settings( $settings = array(), $section = null ) {
		if ( $section == 'drip' ) {
			$settings = apply_filters(
				'memberchimp_dripping_options', array(

					array(
						'title' => esc_html__( 'General', 'memberchimp' ),
						'type'  => 'title',
						'desc'  => '',
						'id'    => 'general_followers_options',
					),

					array(
						'type' => 'sectionend',
						'id'   => 'general_followers_options',
					),

				)
			);
		}
		return $settings;
	}

}

return new MCDC_Admin_Settings();