(function($) {
	"use strict";

	// Ajax follow or unfollow action.
	$( document.body ).on( 'click', '.mcp-follow', function( event ) {
		event.preventDefault();
		event.stopPropagation();
		var $this = $( this ),
			data = {
				user_id:  $this.attr( 'data-user' ) ? $this.attr( 'data-user' ) : 0,
				action:   'memberchimp_follow_user',
				security: memberchimp_params.nonces.follow_user
			};

		if ( $this.hasClass( 'nav' ) ) {
			$this.removeClass( 'nav' ).addClass( 'main' ).html( $this.attr( 'data-following' ) );
		} else {
			$this.removeClass( 'main alert' ).addClass( 'nav' ).html( $this.attr( 'data-follow' ) );
		}

		$.post( memberchimp_params.ajaxurl, data, function( response ) {
			console.log( response );
			$( '.mcp-followers-count[data-user=' + response.user_id + ']' ).find( 'strong' ).hide().html( response.user_b ).fadeIn( 'fast' );
			$( '.mcp-following-count[data-user=' + response.current + ']' ).find( 'strong' ).hide().html( response.user_a ).fadeIn( 'fast' );
		} );
	} );

	// Mouse interaction with follow button
	$( document.body ).on( 'mouseenter', '.mcp-follow.main', function( event ) {
		$( this ).removeClass( 'main' ).addClass( 'alert' ).html( $( this ).attr( 'data-unfollow' ) );
	} );

	$( document.body ).on( 'mouseleave', '.mcp-follow.alert', function( event ) {
		$( this ).removeClass( 'alert' ).addClass( 'main' ).html( $( this ).attr( 'data-following' ) );
	} );

})(jQuery);