<?php
/**
 * Admin Settings.
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * MCFO_Admin_Settings class.
 */
class MCFO_Admin_Settings {

	/**
	 * Constructor.
	 */
	public function __construct() {
		add_filter( 'memberchimp_get_sections_addons', array( $this, 'add_settings_tab' ), 10 );
		add_filter( 'memberchimp_get_settings_addons', array( $this, 'add_settings' ), 10, 2 );
	}

	/**
	 * Add settings tab.
	 */
	public function add_settings_tab( $sections = array() ) {
		$sections[ 'followers' ] = esc_html__( 'Followers', 'memberchimp' );

		return $sections;
	}

	/**
	 * Add settings.
	 */
	public function add_settings( $settings = array(), $section = null ) {
		if ( $section == 'followers' ) {
			$settings = apply_filters(
				'memberchimp_followers_options', array(

					array(
						'title' => esc_html__( 'General', 'memberchimp' ),
						'type'  => 'title',
						'desc'  => '',
						'id'    => 'general_followers_options',
					),

					array(
						'title'    => esc_html__( 'Profile menu tabs', 'memberchimp' ),
						'desc'     => esc_html__( 'Add following and followers to main profile menu', 'memberchimp' ),
						'id'       => 'memberchimp_follower_count_in_menu',
						'default'  => 'no',
						'type'     => 'checkbox',
						'desc_tip' => esc_html__( 'The following/followers count is added by default below the user name in profile section. You can check this box to include them in the main profile menu.', 'memberchimp' ),
					),

					array(
						'type' => 'sectionend',
						'id'   => 'general_followers_options',
					),

				)
			);
		}
		return $settings;
	}

}

return new MCFO_Admin_Settings();