<?php
/**
 * AJAX Events.
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * MCFO_AJAX class.
 */
class MCFO_AJAX {

	/**
	 * Hook in ajax handlers.
	 */
	public static function init() {
		self::add_ajax_events();
	}

	/**
	 * Hook in methods - uses WordPress ajax handlers (admin-ajax).
	 */
	public static function add_ajax_events() {
		// memberchimp_EVENT => nopriv.
		$ajax_events = array(
			'follow_user'			=> false,
		);

		foreach ( $ajax_events as $ajax_event => $nopriv ) {
			add_action( 'wp_ajax_memberchimp_' . $ajax_event, array( __CLASS__, $ajax_event ) );

			if ( $nopriv ) {
				add_action( 'wp_ajax_nopriv_memberchimp_' . $ajax_event, array( __CLASS__, $ajax_event ) );
			}
		}
	}

	/**
	 * Follow / unfollow a specific user.
	 */
	public static function follow_user() {

		check_ajax_referer( 'memberchimp-follow-user', 'security' );

		if ( ! is_user_logged_in() ) {
			wp_die( -1 );
		}

		$user_id = absint( $_REQUEST['user_id'] );

		if ( $user_id == get_current_user_id() ) {
			wp_die( -1 );
		}

		// Check if user is following or unfollowing.
		$status = mcp_followers_has_followed( get_current_user_id(), $user_id );

		if ( ! $status ) {
			$result = mcp_followers_follow( get_current_user_id(), $user_id );
		} else {
			$result = mcp_followers_unfollow( get_current_user_id(), $user_id );
		}

		wp_send_json( $result );
	}

}

MCFO_AJAX::init();