<?php
/**
 * Installation functions and actions.
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * MCFO_Install class.
 */
class MCFO_Install {

	/**
	 * Hook in tabs.
	 */
	public static function init() {
		add_action( 'init', array( __CLASS__, 'install' ) );
	}

	/**
	 * Install.
	 */
	public static function install() {
		if ( ! is_blog_installed() ) {
			return;
		}

		self::create_options();
	}

	/**
	 * Default options.
	 */
	private static function create_options() {
		if ( ! class_exists( 'MCFO_Admin_Settings' ) ) {
			include_once dirname( __FILE__ ) . '/admin/class-mcfo-admin-settings.php';
		}

		$settings = new MCFO_Admin_Settings();
		foreach ( $settings->add_settings( array(), 'followers' ) as $value ) {
			if ( isset( $value['default'] ) && isset( $value['id'] ) ) {
				$autoload = isset( $value['autoload'] ) ? (bool) $value['autoload'] : true;
				add_option( $value['id'], $value['default'], '', ( $autoload ? 'yes' : 'no' ) );
			}
		}
	}

}

MCFO_Install::init();