<?php
/**
 * Core Functions.
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Get social login button.
 */
function mcp_social_get_button( $network ) {

	$class = 'MCSO_' . ucfirst( $network );

	return $class::get_button_html();
}

/**
 * Checks if a social user is previously connected.
 */
function mcp_social_user_found( $data ) {
	extract( $data );

	$user = get_users(
		array(
			'number'	 => 1,
			'fields'	 => 'ids',
			'meta_key'   => '_mcp_' . $provider . '_id',
			'meta_value' => $uid,
		)
	);

	if ( ! empty( $user ) ) {
		return absint( $user[0] );
	}
}

/**
 * Download and save the user's avatar from social media.
 */
function mcp_social_import_avatar( $user_id, $avatar ) {
	global $the_upload;

	$the_upload = new MCP_Uploader();

	return $the_upload->import_from_url( $user_id, $avatar );
}