<?php
/**
 * Template Hooks
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

add_action( 'memberchimp_before_login_form_content', 	  'mcp_social_login_integrate', 10 );
add_action( 'memberchimp_before_register_form_content',   'mcp_social_login_integrate', 10 );

add_action( 'mcp_social_display_notices', 'mcp_social_display_notices', 10 );

/**
 * Automatic integration of social login.
 */
function mcp_social_login_integrate() {
	if ( 'yes' === get_option( 'memberchimp_auto_integration' ) ) {
		$enabled = MCSO_Networks::get_enabled();
		mcp_get_template( 'social-login/social-login.php', array( 'enabled' => $enabled ) );
	}
}

/**
 * Display notices when using social login.
 */
function mcp_social_display_notices() {
	$message = null;
	if ( isset( $_GET['saved'] ) && in_array( $_GET['saved'], array( 'pending_account' ) ) ) {
		switch( $_GET['saved'] ) :
			case 'pending_account':
				$message = esc_html__( 'Your account needs manual review.', 'memberchimp' );
			break;
		endswitch;
		mcp_print_notice( $message, 'error' );
	}
}