<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<div id="customize_field_data" class="panel memberchimp_options_panel hidden">

	<div class="options_group">
		<?php
		memberchimp_wp_text_input(
			array(
				'id'          		=> 'edit_label',
				'value'       		=> $the_field->edit_label,
				'label'       		=> esc_html__( 'Label (Edit)', 'memberchimp' ),
				'placeholder' 		=> esc_html__( 'Leave blank for default', 'memberchimp' ),
				'description' 		=> esc_html__( 'This is the label that is displayed when user is editing.', 'memberchimp' ),
				'desc_tip'			=> true,
			)
		);

		memberchimp_wp_text_input(
			array(
				'id'          		=> 'view_label',
				'value'       		=> $the_field->view_label,
				'label'       		=> esc_html__( 'Label (View)', 'memberchimp' ),
				'placeholder' 		=> esc_html__( 'Leave blank for default', 'memberchimp' ),
				'description' 		=> esc_html__( 'This is the label that is displayed when user is viewing.', 'memberchimp' ),
				'desc_tip'			=> true,
			)
		);

		memberchimp_wp_text_input(
			array(
				'id'          		=> 'icon',
				'value'       		=> $the_field->icon,
				'label'       		=> esc_html__( 'Icon', 'memberchimp' ),
				'description' 		=> esc_html__( 'For full list of icons please check <a href="https://feathericons.com/">https://feathericons.com</a>', 'memberchimp' ),
				'style'				=> 'width:100px;',
			)
		);

		memberchimp_wp_text_input(
			array(
				'id'          		=> 'placeholder',
				'value'       		=> $the_field->placeholder,
				'label'       		=> esc_html__( 'Placeholder', 'memberchimp' ),
				'description' 		=> esc_html__( 'This text will appear in case the user does not give any input.', 'memberchimp' ),
				'desc_tip'			=> true,
			)
		);

		memberchimp_wp_textarea(
			array(
				'id'          		=> 'helper',
				'value'       		=> $the_field->helper,
				'label'       		=> esc_html__( 'Help / Instructions', 'memberchimp' ),
				'rows'				=> 3,
				'description'		=> esc_html__( 'Use this If you want to instruct the user how to fill the field.', 'memberchimp' ),
			)
		);

		memberchimp_wp_text_input(
			array(
				'id'          		=> 'custom_error',
				'value'       		=> $the_field->custom_error,
				'label'       		=> esc_html__( 'Custom Error', 'memberchimp' ),
				'description' 		=> esc_html__( 'For example if the field was not filled correctly you can input your custom error here.', 'memberchimp' ),
				'desc_tip'			=> true,
			)
		);
		?>
	</div>

	<?php do_action( 'memberchimp_field_data_customize_panel' ); ?>

</div>