<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<div id="properties_field_data" class="panel memberchimp_options_panel hidden">

	<div class="options_group">
		<?php
		memberchimp_wp_switch(
			array(
				'id'        		=> 'is_required',
				'label'				=> esc_html__( 'Make this field required?', 'memberchimp' ),
				'value'				=> $the_field->is_required,
				'cbvalue'			=> 1,
			)
		);

		memberchimp_wp_switch(
			array(
				'id'        		=> 'is_private',
				'label'				=> esc_html__( 'Private', 'memberchimp' ),
				'value'				=> $the_field->is_private,
				'cbvalue'			=> 1,
				'description'		=> esc_html__( 'This will hide the field info from public without permission. e.g. to hide e-mail', 'memberchimp' ),
				'desc_tip'			=> true,
			)
		);

		memberchimp_wp_switch(
			array(
				'id'        		=> 'is_readonly',
				'label'				=> esc_html__( 'Read Only', 'memberchimp' ),
				'value'				=> $the_field->is_readonly,
				'cbvalue'			=> 1,
				'description'		=> esc_html__( 'Enable to prevent the user from editing this custom field', 'memberchimp' ),
				'desc_tip'			=> true,
			)
		);
		?>
	</div>

	<div class="options_group">
		<?php
		memberchimp_wp_select(
			array(
				'id'          		=> 'can_view',
				'value'       		=> $the_field->can_view,
				'label'       		=> esc_html__( 'Who can view?', 'memberchimp' ),
				'options'     		=> array_merge( array( '_none' => esc_html__( 'No one', 'memberchimp' ), 'owner' => esc_html__( 'Owner', 'memberchimp' ) ), memberchimp_get_roles() ),
				'placeholder'		=> esc_html__( 'Everyone', 'memberchimp' ),
				'description' 		=> esc_html__( 'Who can view this custom field.', 'memberchimp' ),
				'desc_tip'			=> true,
				'custom_attributes' => array( 'multiple' => 'multiple' ),
			)
		);
		?>
	</div>

	<?php do_action( 'memberchimp_field_data_properties_panel' ); ?>

</div>