<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<div id="general_form_data" class="panel memberchimp_options_panel">

	<div class="options_group">
		<?php
		memberchimp_wp_select(
			array(
				'id'          		=> '_type',
				'value'       		=> $the_form->type,
				'label'       		=> __( 'Form type', 'memberchimp' ),
				'options'     		=> array_combine( array_keys( memberchimp_get_form_types() ), array_column( memberchimp_get_form_types(), 'label' ) ),
				'description' 		=> __( 'Choose a type for this form.', 'memberchimp' ),
				'desc_tip'			=> true,
			)
		);

		memberchimp_wp_select(
			array(
				'id'          		=> 'endpoint',
				'value'       		=> $the_form->endpoint,
				'label'       		=> __( 'Form Endpoint', 'memberchimp' ),
				'options'     		=> array_diff_key( array_merge( array( '' => __( 'Unassigned', 'memberchimp' ) ), mcp_get_account_menu_items() ), array_flip( array( 'logout' ) ) ),
				'description' 		=> __( 'For example, account page has multiple endpoints. Each form can be linked to a specific endpoint.', 'memberchimp' ),
				'desc_tip'			=> true,
				'wrapper_class' 	=> 'show_if__type_eq_account hidden',
			)
		);

		if ( ! is_mcp_default_form( $the_form ) ) {
			memberchimp_wp_switch(
				array(
					'id'        		=> 'set_default',
					'label'				=> __( 'Set as default form', 'memberchimp' ),
					'description'		=> __( 'Enable this if you want to set this form as default form.', 'memberchimp' ),
					'desc_tip'			=> true,
				)
			);
		}

		memberchimp_wp_switch(
			array(
				'id'        		=> 'use_ajax',
				'label'				=> __( 'Use AJAX', 'memberchimp' ),
				'value'				=> $the_form->use_ajax,
				'description'		=> __( 'If enabled, this form will interact instantly without page refresh.', 'memberchimp' ),
				'desc_tip'			=> true,
			)
		);

		memberchimp_wp_select(
			array(
				'id'          		=> 'icons',
				'value'       		=> $the_form->icons,
				'label'       		=> __( 'Show field icons?', 'memberchimp' ),
				'options'     		=> array(
					'hide'		=> __( 'Do not show', 'memberchimp' ),
					'label'		=> __( 'Beside label', 'memberchimp' ),
					'inside'	=> __( 'Inside field (if possible)', 'memberchimp' ),
				),
				'description' 		=> __( 'If enabled, field icons will be displayed in the form.', 'memberchimp' ),
				'desc_tip'			=> true,
			)
		);
		?>
	</div>

	<div class="options_group">
		<?php
		memberchimp_wp_switch(
			array(
				'id'          		=> 'force_role',
				'label'				=> __( 'Force a specific role?', 'memberchimp' ),
				'value'				=> $the_form->force_role,
				'description'		=> __( 'If checked, this form will only be linked to the specified role below. No other role will be able to view or use this form.', 'memberchimp' ),
			)
		);

		memberchimp_wp_select(
			array(
				'id'          		=> 'role',
				'value'       		=> $the_form->role,
				'label'       		=> __( 'Select a role', 'memberchimp' ),
				'options'     		=> memberchimp_get_roles(),
				'description' 		=> __( 'This form will be linked to selected role only.', 'memberchimp' ),
				'desc_tip'			=> true,
				'wrapper_class' 	=> 'show_if_force_role_eq_yes hidden',
			)
		);
		?>
	</div>

	<div class="options_group show_if__type_eq_profile hidden">
		<?php
		memberchimp_wp_switch(
			array(
				'id'          		=> 'hide_cover',
				'label'				=> __( 'Disable the header photo?', 'memberchimp' ),
				'value'				=> $the_form->hide_cover,
				'description'		=> __( 'Check this If you wish to prevent header photos for this profile form.', 'memberchimp' ),
			)
		);
		?>
	</div>

	<?php do_action( 'memberchimp_form_data_general_panel' ); ?>

</div>