<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<div id="general_memberlist_data" class="panel memberchimp_options_panel">

	<div class="options_group">
		<?php
		memberchimp_wp_text_input(
			array(
				'id'          		=> 'per_page',
				'value'       		=> $the_memberlist->per_page,
				'type'				=> 'number',
				'label'       		=> esc_html__( 'Number of users per page', 'memberchimp' ),
				'description'		=> esc_html__( 'How many users should be displayed per page.', 'memberchimp' ),
				'desc_tip'			=> true,
			)
		);

		memberchimp_wp_switch(
			array(
				'id'        		=> 'login_required',
				'label'				=> esc_html__( 'Require users to login to view', 'memberchimp' ),
				'value'				=> $the_memberlist->login_required,
				'cbvalue'			=> 1,
				'description'		=> esc_html__( 'If enabled, guests will be required to login to view this member list.', 'memberchimp' ),
				'desc_tip'			=> true,
			)
		);

		/*
		memberchimp_wp_switch(
			array(
				'id'        		=> 'use_ajax',
				'label'				=> esc_html__( 'Show results with ajax', 'memberchimp' ),
				'value'				=> $the_memberlist->use_ajax,
				'description'		=> esc_html__( 'If enabled, new results will be displayed without refreshing the page.', 'memberchimp' ),
				'desc_tip'			=> true,
			)
		);
		*/
		?>
	</div>

	<div class="options_group">
		<?php
		memberchimp_wp_select(
			array(
				'id'          		=> 'roles',
				'value'       		=> $the_memberlist->roles,
				'label'       		=> esc_html__( 'Who to show in this list?', 'memberchimp' ),
				'options'     		=> array_merge( array( '_all' => esc_html__( 'Everyone excluding admins', 'memberchimp' ) ), memberchimp_get_roles() ),
				'placeholder'		=> esc_html__( 'Everyone', 'memberchimp' ),
				'description' 		=> esc_html__( 'This controls which user groups can be shown in this specific list.', 'memberchimp' ),
				'desc_tip'			=> true,
				'custom_attributes' => array( 'multiple' => 'multiple' ),
			)
		);
		?>
	</div>

	<div class="options_group">
		<?php
		memberchimp_wp_switch(
			array(
				'id'        		=> 'search',
				'label'				=> esc_html__( 'Enable search', 'memberchimp' ),
				'value'				=> $the_memberlist->search,
				'cbvalue'			=> 1,
				'description'		=> esc_html__( 'If enabled, a search box will allow users to search this list.', 'memberchimp' ),
				'desc_tip'			=> true,
			)
		);

		memberchimp_wp_switch(
			array(
				'id'        		=> 'guest_search',
				'label'				=> esc_html__( 'Guests can search?', 'memberchimp' ),
				'value'				=> $the_memberlist->guest_search,
				'cbvalue'			=> 1,
				'description'		=> esc_html__( 'If enabled, non-logged in users will be able to search users.', 'memberchimp' ),
				'desc_tip'			=> true,
				'wrapper_class'		=> 'show_if_search_eq_yes hidden',
			)
		);
		?>
	</div>

	<?php do_action( 'memberchimp_memberlist_data_general_panel' ); ?>

</div>