<?php
/**
 * Modal: Add element to form.
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<div class="modal" id="mcp-add-element">

	<h3><?php esc_html_e( 'Add Element', 'memberchimp' ); ?></h3>

	<div class="modal-content">

		<h4><?php esc_html_e( 'Installed Custom Fields', 'memberchimp' ); ?></h4>
		<div class="mcp-buttons">
			<p>
				<?php
				if ( ! empty( $fields = memberchimp_get_custom_fields() ) ) {
					foreach( $fields as $key => $data ) {
						$label = empty( $data['label'] ) ? $key : $data['label'];
						?>
						<a href="#" class="button button-secondary insert_field" <?php echo mcp_get_data_attributes( $data ); ?>>
							<?php echo esc_html( $label ); ?>
						</a>
						<?php
					}
				} else {
					?>
					<a href="#mcp-create-fields" class="button button-primary">
						<?php echo esc_html( 'Create default custom fields', 'memberchimp' ); ?>
					</a>
					<?php
				}
				?>
			</p>
		</div>

		<h4><?php esc_html_e( 'New Custom Field', 'memberchimp' ); ?></h4>
		<div class="mcp-buttons alt">
			<p>
				<?php foreach( memberchimp_get_field_types() as $key => $data ) : ?>
					<a href="#mcp-add-field" class="button button-primary new_field" data-type="<?php echo esc_attr( $key ); ?>" rel="modal:open">
						<?php echo mcp_svg_icon( esc_attr( $data['icon'] ) ); ?>
						<?php echo esc_html( $data['label'] ); ?>
					</a>
				<?php endforeach; ?>
			</p>
		</div>

		<h4><?php esc_html_e( 'New HTML Element', 'memberchimp' ); ?></h4>
		<div class="mcp-buttons">
			<p>
				<?php foreach( memberchimp_get_field_types( 'html' ) as $key => $data ) : ?>
					<a href="#mcp-add-field" class="button button-secondary new_field" data-type="<?php echo esc_attr( $key ); ?>" rel="modal:open">
						<?php echo esc_html( $data['label'] ); ?>
					</a>
				<?php endforeach; ?>
			</p>
		</div>

	</div>

</div>