<?php
/**
 * Admin View: Setup - Addons.
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$addons = mcp()->addons;

?>

<h1><?php esc_html_e( 'Install Features', 'memberchimp' ); ?></h1>

<form method="post">

	<p><?php esc_html_e( 'To keep the core plugin lightweight, Member Chimp is making major features available as built-in addons. You can activate or deactivate addons instantly without downloading extra code.', 'memberchimp' ); ?></p>

	<h3><?php esc_html_e( 'Select features to activate', 'memberchimp' ); ?></h3>

	<div class="mcp-setup-items">
		<?php foreach( $addons->get_addons() as $addon => $array ) : ?>
		<div class="mcp-setup-item">
			<div class="mcp-setup-item-switch">
				<?php memberchimp_wp_switch(
						array(
							'id'        		=> mcp_sanitize_title( $addon ),
							'value'				=> get_option( 'memberchimp_' . mcp_sanitize_title( $addon ) ) === 'yes' ? '1' : '0',
							'cbvalue'			=> 1,
						)
				); ?>
			</div>
			<div class="mcp-setup-item-name"><?php echo esc_html( $array[ 'title'] ); ?></div>
			<div class="mcp-setup-item-desc"><?php echo esc_html( $array[ 'description' ] ); ?></div>
		</div>
		<?php endforeach; ?>
	</div>

	<?php wp_nonce_field( 'mcp-setup' ); ?>

	<p class="mcp-setup-actions step">
		<button type="submit" class="button-primary button button-large button-next" value="<?php esc_attr_e( 'Continue', 'memberchimp' ); ?>" name="save_step"><?php esc_html_e( 'Continue', 'memberchimp' ); ?></button>
	</p>

</form>