<?php
/**
 * Admin View: Setup - Ready.
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// We've made it! Don't prompt the user to run the wizard again.
MCP_Admin_Notices::remove_notice( 'install' );

?>

<h1><?php esc_html_e( 'Your community is ready!', 'memberchimp' ); ?></h1>

<p><?php esc_html_e( 'Thank you. Member Chimp is now installed and ready to be configured.', 'memberchimp' ); ?></p>

<h5><?php esc_html_e( 'What would you like to do next?', 'memberchimp' ); ?></h5>

<div class="mcp-setup-item-grid">
	<div class="mcp-setup-item"><a href="<?php echo admin_url(); ?>" class="button"><?php esc_html_e( 'Visit Dashboard', 'memberchimp' ); ?></a></div>
	<div class="mcp-setup-item"><a href="<?php echo esc_url( admin_url( 'admin.php?page=mcp-settings' ) ); ?>" class="button"><?php esc_html_e( 'Review Settings', 'memberchimp' ); ?></a></div>
	<div class="mcp-setup-item"><a href="<?php echo esc_url( admin_url( 'admin.php?page=mcp-settings&tab=addons' ) ); ?>" class="button"><?php esc_html_e( 'Setup addons', 'memberchimp' ); ?></a></div>
</div>

<div class="mcp-setup-center">
	<?php echo wp_kses_post( __( 'Thank you for installing <a href="https://memberchimp.com">Member Chimp</a>. Need help getting started? Please check out our <a href="https://docs.memberchimp.com">documentation</a>', 'memberchimp' ) ); ?>
</div>