<?php
/**
 * Addons Class.
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * MCP_Addons class.
 */
class MCP_Addons {

	public $addons = array();

	/**
	 * The Constructor.
	 */
	public function __construct() {

	}

	/**
	 * Get a list of addons.
	 */
	public function get_addons() {
		$this->addons = array(
			'social-login'	=> array(
				'title'	      => __( 'Social Login', 'memberchimp' ),
				'description' => __( 'Enables users to connect to your site with their social network account.', 'memberchimp' ),
				'section'     => 'social',
			),
			'followers' 	=> array(
				'title'	      => __( 'Followers', 'memberchimp' ),
				'description' => __( 'Allow users to follow each others, show followers count and add widgets to display followers.', 'memberchimp' ),
				'section'     => 'followers',
			),
			'drip-content'	=> array(
				'title'	      => __( 'Content Dripping', 'memberchimp' ),
				'description' => __( 'Deliver your content over time – in a pre-scheduled manner.', 'memberchimp' ),
				'section'     => 'drip',
			),
		);
		return $this->addons;
	}

	/**
	 * Get enabled addons.
	 */
	public function get_enabled_addons() {
		$enabled_addons = get_option( 'memberchimp_enabled_addons' );

		return $enabled_addons;
	}

	/**
	 * Get the text that would when addon is activated/deactivated in admin.
	 */
	public function get_activated_text( $addon, $array ) {
		$enabled_addons = $this->get_enabled_addons();
		if ( in_array( $addon, (array) $enabled_addons ) ) {
			$text = sprintf( __( '%s is <strong>activated</strong>. Untick this box to deactivate.', 'memberchimp' ), esc_html( $array[ 'title' ] ) );
		} else {
			$text = sprintf( __( 'Activate %s', 'memberchimp' ), esc_html( $array[ 'title' ] ) );
		}
		return $text;
	}

}