<?php
/**
 * Memberlist Core.
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'MCP_Abstract_Post', false ) ) {
	include_once 'abstracts/abstract-class-mcp-post.php';
}

/**
 * MCP_Memberlist class.
 */
class MCP_Memberlist extends MCP_Abstract_Post {

	/**
	 * Post type.
	 */
	public $post_type = 'mcp_memberlist';

	/**
	 * Meta keys.
	 */
	public $internal_meta_keys = array(
		'per_page',
		'login_required',
		'use_ajax',
		'roles',
		'search',
		'guest_search',
	);

	/**
	 * Stores extra filters.
	 */
	public $mcp_filters = array();

	/**
	 * Defines memberlist is in loop.
	 */
	public function in_loop() {
		$this->_in_loop = true;
	}

	/**
	 * Get page.
	 */
	public function get_page() {
		return ! empty( $_REQUEST[ 'wpage' ] ) && absint( $_REQUEST[ 'wpage' ] ) > 0 ? absint( $_REQUEST[ 'wpage' ] ) : 1;
	}

	/**
	 * Get sorting parameter.
	 */
	public function get_sort() {
		return ! empty( $_REQUEST[ 'wsort' ] ) ? sanitize_text_field( wp_unslash( $_REQUEST[ 'wsort' ] ) ) : '';
	}

	/**
	 * Get search query.
	 */
	public function get_search() {
		global $wpdb;

		$q = ! empty( $_REQUEST[ 'ws' ] ) ? esc_attr( $_REQUEST[ 'ws' ] ) : '';

		return ! empty( $q ) ? '*' . $q . '*' : '';
	}

	/**
	 * Get search filters.
	 */
	public function get_filters() {
		$query_filters 	= ! empty( $_REQUEST[ 'wfilters' ] ) ? mcp_encoded_str_to_array( $_REQUEST[ 'wfilters' ] ) : array();
		$mcp_filters 	= apply_filters( 'mcp_memberlist_custom_filters', $this->mcp_filters );

		return array_merge( array_filter( $mcp_filters ), array_filter( $query_filters ) );
	}

}