<?php
/**
 * Cover Functions.
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Get the best size for cover photo.
 */
function mcp_get_best_cover_size( $search ) {
	$array = mcp_get_cover_sizes();

	sort( $array );

	foreach ( $array as $item) {
		if ( $item >= $search ) {
			return $item;
		}
	}
	return false;
}

/**
 * Returns an array of different sizes for header photos.
 */
function mcp_get_cover_sizes() {
	return apply_filters( 'mcp_get_cover_sizes', array( 300, 600 ) );
}

/**
 * Get profile cover div classes.
 */
function mcp_get_profile_cover_classes() {
	global $the_user;

	$classes = array();

	if ( ! $the_user->has_cover() ) {
		if ( ! is_mcp_editing_profile() && is_mcp_profile_page() ) {
			$classes[] = 'empty-cover';
		}
	}

	if ( mcp_user_has_blocked( $the_user->user_id ) || mcp_user_has_blocked_me( $the_user->user_id ) ) {
		$classes[] = 'empty-cover';
	}

	$classes = apply_filters( 'mcp_get_profile_cover_classes', $classes );

	return implode( ' ', array_map( 'sanitize_html_class', $classes ) );
}