<?php
/**
 * Template Hooks
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Admin bar.
 */
add_filter( 'show_admin_bar', 'memberchimp_show_admin_bar' );

/**
 * Hook before output.
 */
add_action( 'template_redirect', 'mcp_template_redirect', 10 );

/**
 * Dropdown menus.
 */
add_action( 'memberchimp_user_photo_dropdown', 'memberchimp_user_photo_dropdown' );
add_action( 'memberchimp_user_cover_dropdown', 'memberchimp_user_cover_dropdown' );
add_action( 'memberchimp_user_dropdown_menu', 'memberchimp_user_dropdown_menu' );
add_action( 'memberchimp_user_actions_dropdown', 'memberchimp_user_actions_dropdown' );
add_action( 'memberchimp_manage_user_dropdown', 'memberchimp_manage_user_dropdown' );

/**
 * Profile.
 */
add_action( 'memberchimp_profile_header', 'memberchimp_profile_header' );
add_action( 'memberchimp_profile_info', 'memberchimp_profile_info' );
add_action( 'memberchimp_profile_sidemeta', 'memberchimp_profile_sidemeta' );
add_action( 'memberchimp_profile_bio', 'memberchimp_profile_bio' );
add_action( 'memberchimp_profile_username', 'memberchimp_profile_username' );
add_action( 'memberchimp_profile_buttons', 'memberchimp_profile_buttons' );
add_action( 'memberchimp_profile_photo', 'memberchimp_profile_photo' );
add_action( 'memberchimp_profile_cover', 'memberchimp_profile_cover' );
add_action( 'memberchimp_profile_content', 'memberchimp_profile_content' );
add_action( 'memberchimp_profile_admin_menu', 'memberchimp_profile_admin_menu' );
add_action( 'memberchimp_profile_actions_menu', 'memberchimp_profile_actions_menu' );

// Provile nav items.
add_action( 'memberchimp_profile_nav', 'memberchimp_profile_nav' );
add_action( 'memberchimp_profile_nav_items', 'memberchimp_profile_nav_items' );
add_action( 'memberchimp_profile_nav_editing', 'memberchimp_profile_nav_editing' );
add_action( 'memberchimp_profile_nav_not_editing', 'memberchimp_profile_nav_not_editing' );

// Display profile tabs.
add_action( 'memberchimp_profile_posts_endpoint', 'memberchimp_profile_posts_endpoint' );
add_action( 'memberchimp_profile_comments_endpoint', 'memberchimp_profile_comments_endpoint' );

// After profile template.
add_action( 'memberchimp_after_profile_template', 'memberchimp_after_profile_template' );

// Profile tabs.
add_action( 'memberchimp_profile_tabs', 'memberchimp_profile_tabs' );

// Hooks for profile content.
add_action( 'memberchimp_pre_profile_content', 'memberchimp_show_if_blocked', 10 );
add_action( 'memberchimp_pre_profile_content', 'memberchimp_show_if_private', 20 );

// Hooks for profile name.
add_action( 'memberchimp_after_profile_name', 'memberchimp_show_private_profile_icon', 10 );

// Hooks for profile nav buttons.
add_action( 'memberchimp_profile_nav_buttons', 'memberchimp_profile_nav_buttons' );

/**
 * Memberlist.
 */
add_action( 'memberchimp_memberlist_card', 'memberchimp_profile_cover', 10 );
add_action( 'memberchimp_memberlist_card', 'memberchimp_profile_photo', 20 );
add_action( 'memberchimp_memberlist_card', 'memberchimp_memberlist_actions', 30 );
add_action( 'memberchimp_memberlist_card', 'memberchimp_profile_username', 40 );
add_action( 'memberchimp_memberlist_card', 'memberchimp_profile_bio', 50 );

// Memberlist loop and pagination.
add_action( 'memberchimp_memberlist_top', 'memberchimp_memberlist_search', 10 );
add_action( 'memberchimp_memberlist_loop', 'memberchimp_memberlist_loop' );
add_action( 'memberchimp_memberlist_pagination', 'memberchimp_memberlist_pagination' );
add_action( 'memberchimp_memberlist_no_users', 'memberchimp_memberlist_no_users' );

// After memberlist template.
add_action( 'memberchimp_after_memberlist_template', 'memberchimp_after_memberlist_template' );

/**
 * Account.
 */
add_action( 'memberchimp_account_nav', 'memberchimp_account_nav' );
add_action( 'memberchimp_account_content', 'memberchimp_account_content' );
add_action( 'memberchimp_before_account_form', 'memberchimp_show_endpoint_title' );

/**
 * Page title.
 */
add_filter( 'the_title', 'mcp_page_endpoint_title' );
add_filter( 'document_title_parts', 'mcp_profile_page_title' );