<?php
/**
 * Account Shortcodes
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * MCP_Shortcode_Account class.
 */
class MCP_Shortcode_Account {

	/**
	 * Get the shortcode content.
	 */
	public static function get( $atts ) {
		return MCP_Shortcodes::shortcode_wrapper( array( __CLASS__, 'output' ), $atts );
	}

	/**
	 * Output the shortcode.
	 */
	public static function output( $atts ) {

		if ( ! is_user_logged_in() ) {

			if ( mcp_notice_count( 'error' ) == 0 ) {
				mcp_add_notice( esc_html__( 'Please log in to access your account.', 'memberchimp' ), 'notice' );
			}

			// To force page refresh after login.
			mcp_form_set_redirect();

			return MCP_Shortcode_Form::output( array( 'id' => mcp_get_default_form_id( 'login' ) ) );

		} else {
			// Start output buffer since the html may need discarding for BW compatibility.
			ob_start();

			// Collect notices before output.
			$notices = mcp_get_notices();

			// Output the new account page.
			self::account( $atts );

			// Send output buffer.
			ob_end_flush();
		}
	}

	/**
	 * Account page.
	 */
	private static function account( $atts ) {
		$atts = array_merge( array(

		), (array) $atts );

		mcp_get_template(
			'account/account.php',
			array(
				'the_user' 	=> mcp_get_user( get_current_user_id() ),
			)
		);
	}

}