<?php
/**
 * Login
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * MCP_Shortcode_Form_Login class.
 */
class MCP_Shortcode_Form_Login {

	/**
	 * Output the shortcode.
	 */
	public static function output( $atts ) {
		global $the_form;

		// Fall back to defaults.
		if ( empty( $the_form->id ) ) {
			$default  = get_option( 'memberchimp_login_form' );
			$the_form = mcp_get_form( $default );
			if ( empty( $the_form->id ) ) {
				return;
			}
		}

		$atts = array_merge( array(
			'top_note'				=> '',
			'first_button'			=> esc_html__( 'Log In', 'memberchimp' ),
			'second_button'			=> esc_html__( 'Create Account?', 'memberchimp' ),
		), (array) $atts );

		if ( ! empty( $_GET['password-changed'] ) ) {
			if ( 0 == mcp_notice_count( 'error' ) ) {
				mcp_add_notice( esc_html__( 'Your password has been reset successfully.', 'memberchimp' ), 'success' );
			}
		}

		mcp_get_template( 'form/form.php', array( 'atts' => $atts ) );
	}

	/**
	 * Save.
	 */
	public static function save( $object = null ) {
		global $the_form;

		if ( $object ) {
			$the_form = $object;
		}

		$the_form->is_request = true;

		/**
		 * Form validation.
		 */
		$the_form->validate();

		/**
		 * No errors so far.
		 */
		if ( ! $the_form->has_errors() ) {
			$user = mcp_check_user_login( $the_form->get_postdata() );

			if ( is_wp_error( $user ) ) {

				mcp_add_notice( $user->get_error_message(), 'error', 'global' );

			} else {

				$user->log_in();

				$the_form->get_redirect( mcp_get_login_redirect( $user ) );
			}
		}

	}

}