<?php
/**
 * Form Shortcodes
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * MCP_Shortcode_Form class.
 */
class MCP_Shortcode_Form {

	/**
	 * Get the shortcode content.
	 */
	public static function get( $atts ) {
		return MCP_Shortcodes::shortcode_wrapper( array( __CLASS__, 'output' ), $atts );
	}

	/**
	 * Output the shortcode.
	 */
	public static function output( $atts ) {
		global $the_form;

		if ( ! isset( $the_form->id ) || $the_form->id != $atts[ 'id' ] ) {
			$the_form = new MCP_Form( $atts[ 'id' ] );
		}

		// Add support for custom form output.
		if ( $the_form->type == 'password_reset' ) {
			return call_user_func( array( 'MCP_Shortcode_Form_Lostpassword', 'output' ), $atts );
		}

		// Default form types support.
		if ( ! array_key_exists( $the_form->type, memberchimp_get_form_types() ) ) {
			return;
		}

		$classname = 'MCP_Shortcode_Form_' . ucfirst( $the_form->type );
		if ( class_exists( $classname ) ) {
			return call_user_func( array( $classname, 'output' ), $atts );
		}
	}

}