<?php
/**
 * Memberlist Shortcodes
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * MCP_Shortcode_Memberlist class.
 */
class MCP_Shortcode_Memberlist {

	/**
	 * Get the shortcode content.
	 */
	public static function get( $atts ) {
		return MCP_Shortcodes::shortcode_wrapper( array( __CLASS__, 'output' ), $atts );
	}

	/**
	 * Output the shortcode.
	 */
	public static function output( $atts ) {
		ob_start();

		self::memberlist( $atts );

		// Send output buffer.
		ob_end_flush();
	}

	/**
	 * Profile page.
	 */
	private static function memberlist( $atts ) {
		global $the_memberlist, $logged_user, $the_user;

		$atts = array_merge( array(

		), ( array ) $atts );

		if ( empty( $atts[ 'id' ] ) ) {
			$atts[ 'id' ] = absint( get_option( 'memberchimp_default_memberlist' ) );
		}

		$the_memberlist = mcp_get_memberlist( $atts[ 'id' ] );

		// Not eligible to view this?
		if ( mcp_user_cant_see_memberlist() ) {
			if ( mcp_notice_count( 'error' ) == 0 ) {
				mcp_add_notice( esc_html__( 'Please log in to view this page.', 'memberchimp' ), 'notice' );
			}

			// To force page refresh after login.
			mcp_form_set_redirect();

			return MCP_Shortcode_Form::output( array( 'id' => mcp_get_default_form_id( 'login' ) ) );
		}

		$logged_user = mcp_get_user( get_current_user_id() );
		$the_user    = $logged_user;
		$memberlist  = mcp_get_members();

		// Load template.
		mcp_get_template(
			'memberlist/memberlist.php',
			array(
				'atts' 				=> $atts,
				'the_memberlist' 	=> $the_memberlist,
				'logged_user'		=> $logged_user,
				'memberlist'		=> $memberlist,
			)
		);

		do_action( 'memberchimp_after_memberlist_template' );

		// Important. Let the plugin know we finished looping.
		$the_memberlist->_in_loop = false;
	}

}