<?php
/**
 * Shopping Cart Widget.
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * MCP_Widget_User_Card class.
 */
class MCP_Widget_User_Card extends MCP_Widget {

	/**
	 * Constructor.
	 */
	public function __construct() {
		$this->widget_cssclass    = 'memberchimp memberchimp_widget memberchimp_widget_user_card';
		$this->widget_description = __( 'Display the logged in user card.', 'memberchimp' );
		$this->widget_id          = 'memberchimp_widget_user_card';
		$this->widget_name        = __( 'Member Chimp - User card', 'memberchimp' );
		$this->settings           = array(
			'title'         => array(
				'type'  => 'text',
				'std'   => __( '', 'memberchimp' ),
				'label' => __( 'Title', 'memberchimp' ),
			),
		);

		parent::__construct();
	}

	/**
	 * Output widget.
	 */
	public function widget( $args, $instance ) {
		global $the_user;

		if ( ! is_user_logged_in() ) {
			return;
		}

		$the_user = mcp_get_user( get_current_user_id() );		
		$the_user->in_widget = true;

		$this->widget_start( $args, $instance );

		mcp_get_template( 'widgets/user-card.php' );

		$this->widget_end( $args );
	}

}