<?php
/**
 * My Account nav
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

do_action( 'memberchimp_before_account_nav' );
?>

<nav class="memberchimp-nav memberchimp-account-nav">
	<ul>
		<?php foreach ( mcp_get_account_menu_items() as $endpoint => $label ) : ?>
			<li class="<?php echo mcp_get_account_menu_item_classes( $endpoint ); ?>">
				<a href="<?php echo esc_url( mcp_get_account_endpoint_url( $endpoint ) ); ?>">
					<span class="mcp-nav-icon">
						<?php mcp_get_account_endpoint_icon( $endpoint ); ?>
					</span>
					<span class="mcp-nav-display">
						<?php echo esc_html( $label ); ?>
						<?php echo mcp_svg_icon( 'chevron-right' ); ?>
					</span>
				</a>
			</li>
		<?php endforeach; ?>
	</ul>
</nav>

<?php do_action( 'memberchimp_after_account_nav' ); ?>