<?php
/**
 * Comments.
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>

<?php if ( $items ) : ?>
<div class="mcp-section">

	<?php foreach( $items as $comment ) : ?>
	<div class="mcp-item mcp-item-alt" data-permalink="<?php echo get_comment_link( $comment->comment_ID ); ?>">
		<div class="mcp-item-image"><a href="<?php echo memberchimp_get_profile_url(); ?>"><?php echo get_avatar( $the_user->ID, 50 ); ?></a></div>
		<div class="mcp-item-info">

			<div class="mcp-item-header">
				<div class="mcp-item-head">
					<span class="mcp-item-subhead">
						<span class="mc-item-username">
							<a href="<?php echo memberchimp_get_profile_url(); ?>" class="mcp-item-head-anchor"><strong><?php echo $the_user->display_name; ?></strong></a>
							<span class="mcp-item-sublink">@<?php echo esc_html( $the_user->user_login ); ?></span>
							&middot; <a href="<?php echo get_comment_link( $comment->comment_ID ); ?>" title="<?php mcb_the_date( $comment->comment_date_gmt ); ?>" class="mcp-item-meta"><?php mcb_the_date_diff( $comment->comment_date_gmt ); ?></a>
						</span>
					</span>
				</div>
			</div>

			<div class="mcp-item-flex">
				<?php echo mcp_svg_icon( 'corner-up-right' ); ?>
				<span><a href="<?php echo get_permalink( $comment->comment_post_ID ); ?>"><?php echo get_the_title( $comment->comment_post_ID ); ?></a></span>
			</div>

			<div class="mcp-item-text"><?php echo $comment->comment_content; ?></div>

		</div>
	</div>
	<?php endforeach; ?>

</div>

<?php else : ?>

	<?php if ( $the_user->ID == get_current_user_id() ) : ?>

	<div class="mcp-section is-centered">
		<div class="mcp-strong-heading"><?php echo sprintf( __( 'You haven’t made any comments.', 'memberchimp' ), $the_user->user_login ); ?></div>
		<div class="mcp-subheading"><?php esc_html_e( 'When you add a comment, It will be listed here.', 'memberchimp' ); ?></div>
	</div>

	<?php else : ?>

	<div class="mcp-section is-centered">
		<div class="mcp-strong-heading"><?php echo sprintf( __( '@%s haven’t made any comments.', 'memberchimp' ), $the_user->user_login ); ?></div>
		<div class="mcp-subheading"><?php esc_html_e( 'When they do, they’ll be listed here.', 'memberchimp' ); ?></div>
	</div>

	<?php endif; ?>

<?php endif; ?>