<?php
/**
 * Text field
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>

<fieldset class="memberchimp-field <?php echo implode( ' ', $field['field_class'] ); ?>">

	<?php mcp_get_template( 'field/label.php', array( 'field' => $field ) ); ?>

	<div class="memberchimp-input <?php echo implode( ' ', $field['control_class'] ); ?>">

		<div class="mcp-fileinput-wrap">
			<input type="file" class="mcp-fileinput" id="<?php echo esc_attr( $field['key'] ); ?>" name="<?php echo esc_attr( $field['key'] ); ?>" />

			<label for="<?php echo esc_attr( $field['key'] ); ?>" class="memberchimp-button nav">
				<?php echo ! empty( $field[ 'icon' ] ) ? mcp_svg_icon( $field[ 'icon' ] ) : ''; ?>
				<span>
					<?php
						echo ( ! empty( $field[ 'placeholder' ] ) ) ? esc_html( $field[ 'placeholder' ] ) : esc_html_e( 'Choose a file', 'memberchimp' );
					?>
				</span>
			</label>
		</div>

	</div>

	<?php if ( ! empty( $field['helper'] ) ) : ?>
		<div class="memberchimp-helper">
			<?php echo wp_kses_post( $field['helper'] ); ?>
		</div>
	<?php endif; ?>

</fieldset>