<?php
/**
 * Password field
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>

<fieldset class="memberchimp-field <?php echo implode( ' ', $field['field_class'] ); ?>">

	<?php mcp_get_template( 'field/label.php', array( 'field' => $field ) ); ?>

	<div class="memberchimp-input <?php echo implode( ' ', $field['control_class'] ); ?>">

		<?php mcp_get_template( 'field/icon.php', array( 'field' => $field ) ); ?>

		<input 
				type="password" 
				name="<?php echo esc_attr( $field['key'] ); ?>" 
				id="<?php echo esc_attr( $field['key'] ); ?>" 
				value="" 
				class="<?php echo implode( ' ', $field['input_class'] ); ?>" 
				<?php echo implode( ' ', $field['attributes'] ); ?> 
		/> 

		<?php if ( empty( $field['hide_toggle'] ) ) : ?>
		<div class="mcp-pw-visible tips is-hidden" data-tip="<?php esc_html_e( 'Show password', 'memberchimp' ); ?>" data-show="<?php esc_html_e( 'Show password', 'memberchimp' ); ?>" data-hide="<?php esc_html_e( 'Hide password', 'memberchimp' ); ?>">
			<?php echo mcp_svg_icon( 'eye-off' ); ?>
		</div>
		<?php endif; ?>

	</div>

	<?php if ( ! empty( $field['helper'] ) ) : ?>
		<div class="memberchimp-helper"><?php echo wp_kses_post( $field['helper'] ); ?></div>
	<?php endif; ?>

</fieldset>