<?php
/**
 * Rating field
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>

<fieldset class="memberchimp-field <?php echo implode( ' ', $field[ 'field_class' ] ); ?>">

	<?php mcp_get_template( 'field/label.php', array( 'field' => $field ) ); ?>

	<div class="memberchimp-input <?php echo implode( ' ', $field[ 'control_class' ] ); ?>">

		<div class="mcp-star" 
			data-key="<?php echo esc_attr( $field[ 'key' ] ); ?>" 
			data-score="<?php echo absint( $field[ 'value' ] ); ?>" 
			data-ratings="<?php echo mcp_get_rating_hints( $field ); ?>" >
		</div>

		<?php if ( $field[ 'show_hints' ] ) : ?>
			<div class="mcp-star-hint">
				<?php
					if ( $field[ 'value' ] > 0 ) {
						echo mcp_get_rating_hint( $field[ 'value' ], $field );
					}
				?>
			</div>
		<?php endif; ?>

	</div>

	<?php if ( ! empty( $field[ 'helper' ] ) ) : ?>
		<div class="memberchimp-helper"><?php echo wp_kses_post( $field[ 'helper' ] ); ?></div>
	<?php endif; ?>

</fieldset>