<?php
/**
 * Reset password email.
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>

<?php do_action( 'memberchimp_email_header', $email_heading, $email ); ?>

<p><?php printf( esc_html__( 'Hi %s,', 'memberchimp' ), esc_attr( $user->get_greeting_name() ) ); ?></p>

<p><?php esc_html_e( 'If you’ve lost your password or wish to reset it, use the link below to get started.', 'memberchimp' ); ?></p>

<p class="button"><a href="<?php echo esc_url( add_query_arg( array( 'password_key' => $reset_key, 'id' => $user->ID ), mcp_get_page_permalink( 'lostpassword' ) ) ); ?>" class="link"><?php esc_html_e( 'Reset your Password', 'memberchimp' ); ?></a></p>

<p class="hr"></p>

<p><?php esc_html_e( 'If you did not request a password reset, you can safely ignore this email. Only a person with access to your email can reset your account password.', 'memberchimp' ); ?></p>

<?php do_action( 'memberchimp_email_footer', $email ); ?>