<?php
/**
 * Following.
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>

<div class="mcp-section" data-content="following">

	<?php
		foreach( $users as $user_id ) :
			// Get user object.
			$the_user = mcp_get_user( $user_id );

			// No user found.
			if ( empty( $the_user->ID ) ) {
				mcp_followers_fix_count( $user_id, 'following' );
				continue;
			}
	?>

	<div class="mcp-item" data-permalink="<?php echo memberchimp_get_profile_url(); ?>">
		<div class="mcp-item-image"><a href="<?php echo memberchimp_get_profile_url(); ?>"><?php echo get_avatar( $user_id, 50 ); ?></a></div>
		<div class="mcp-item-info">
			<div class="mcp-item-header">
				<div class="mcp-item-head">
					<a href="<?php echo memberchimp_get_profile_url(); ?>"><?php echo esc_html( $the_user->get( 'display_name' ) ); ?></a>
					<span class="mcp-item-subhead">@<?php echo esc_html( $the_user->user_login ); ?>
						<?php
							if ( mcp_followers_has_followed( $user_id, get_current_user_id() ) ) {
								echo '<ins>' . __( 'Follows you', 'memberchimp' ) . '</ins>';
							}
						?>
					</span>
				</div>
				<div class="mcp-item-buttons">
					<?php mcp_followers_add_button(); ?>
				</div>
			</div>
			<?php if ( $the_user->get( 'description' ) ) : ?>
			<div class="mcp-item-text"><?php echo esc_html( $the_user->get( 'description' ) ); ?></div>
			<?php endif; ?>
		</div>
	</div>

	<?php endforeach; ?>

</div>