<?php
/**
 * Posts.
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>

<?php if ( $items->have_posts() ) : ?>
<div class="mcp-section">

	<?php while ( $items->have_posts() ) : $items->the_post(); ?>
	<div class="mcp-item mcp-item-alt" data-permalink="<?php the_permalink(); ?>">
		<div class="mcp-item-image"><a href="<?php echo memberchimp_get_profile_url(); ?>"><?php echo get_avatar( $the_user->ID, 50 ); ?></a></div>
		<div class="mcp-item-info">

			<div class="mcp-item-header">
				<div class="mcp-item-head">
					<span class="mcp-item-subhead">
						<span class="mc-item-username">
							<a href="<?php echo memberchimp_get_profile_url(); ?>" class="mcp-item-head-anchor"><strong><?php echo $the_user->display_name; ?></strong></a>
							<span class="mcp-item-sublink">@<?php echo esc_html( $the_user->user_login ); ?></span>
							&middot; <a href="<?php the_permalink(); ?>" title="<?php mcb_the_date(); ?>" class="mcp-item-meta"><?php mcb_the_date_diff(); ?></a>
						</span>
					</span>
				</div>
			</div>

			<div class="mcp-item-text"><?php the_title(); ?></div>

			<?php if ( has_post_thumbnail() ) : ?>
			<a href="<?php the_permalink(); ?>" class="mcp-item-feature">
				<?php the_post_thumbnail(); ?>
			</a>
			<?php endif; ?>

		</div>
	</div>
	<?php endwhile; ?>

</div>

<?php else : ?>

	<?php if ( $the_user->ID == get_current_user_id() ) : ?>

	<div class="mcp-section is-centered">
		<div class="mcp-strong-heading"><?php echo sprintf( __( 'You haven’t created any posts.', 'memberchimp' ), $the_user->user_login ); ?></div>
		<div class="mcp-subheading"><?php esc_html_e( 'When you create a post, It will be listed here.', 'memberchimp' ); ?></div>
	</div>

	<?php else : ?>

	<div class="mcp-section is-centered">
		<div class="mcp-strong-heading"><?php echo sprintf( __( '@%s haven’t created any posts.', 'memberchimp' ), $the_user->user_login ); ?></div>
		<div class="mcp-subheading"><?php esc_html_e( 'When they do, they’ll be listed here.', 'memberchimp' ); ?></div>
	</div>

	<?php endif; ?>

<?php endif; ?>