<?php
/**
 * My Profile cover
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

do_action( 'memberchimp_before_profile_cover' );
?>

<div class="memberchimp-profile-header">

	<div class="memberchimp-profile-cover <?php echo mcp_get_profile_cover_classes(); ?>">

		<?php if ( is_mcp_editing_profile() ) : ?>

			<a href="#" class="memberchimp-profile-cover-edit-overlay mcp-dropdown-init" rel="mcp-dropdown-cover">
				<?php if ( ! mcp_user_uploaded_cover() ) : ?>
					<span>
						<?php echo mcp_svg_icon( 'image' ); ?>
						<b><?php esc_html_e( 'Add a header photo', 'memberchimp' ); ?></b>
					</span>
				<?php else : ?>
					<span>
						<?php echo mcp_svg_icon( 'image' ); ?>
						<b><?php esc_html_e( 'Change your header photo', 'memberchimp' ); ?></b>
					</span>
				<?php endif; ?>
			</a>

			<?php do_action( 'memberchimp_user_cover_dropdown' ); ?>

			<div class="mcp-cover-cropper-holder">
				<div class="mcp-cover-cropper">

				</div>
				<div class="mcp-cover-cropper-actions">
					<a href="#" class="memberchimp-button nav mcp-cancel-cover"><?php esc_html_e( 'Cancel', 'memberchimp' ); ?></a>
					<a href="#" class="memberchimp-button main mcp-crop-cover" data-user_id="<?php echo $the_user->user_id; ?>"><?php esc_html_e( 'Apply', 'memberchimp' ); ?></a>
				</div>
			</div>

		<?php endif; ?>

		<div class="memberchimp-profile-coverbg" style="background-image: url( '<?php echo mcp_get_user_cover_url(); ?>' );">

			<?php if ( mcp_is_in_loop() ) : ?><a href="<?php echo memberchimp_get_profile_url(); ?>"></a><?php endif; ?>

		</div>

	</div>

</div>

<?php do_action( 'memberchimp_after_profile_cover' ); ?>