<?php
/**
 * My Profile side meta
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( mcp_user_has_blocked( $the_user->user_id ) ) {
	return;
}

do_action( 'memberchimp_before_profile_sidemeta' );

?>

<div class="memberchimp-profile-meta">

	<?php if ( $the_user->get( 'country' ) ) : ?>
	<div class="memberchimp-profile-metadata">
		<?php echo mcp_svg_icon( 'map-pin' ); ?>
		<span><?php echo mcp_get_user_country(); ?></span>
	</div>
	<?php endif; ?>

	<?php if ( $the_user->get( 'user_url' ) ) : ?>
	<div class="memberchimp-profile-metadata">
		<?php echo mcp_svg_icon( 'link' ); ?>
		<span><a href="<?php echo esc_url( $the_user->get( 'user_url' ) ); ?>" target="_blank" rel="nofollow"><?php echo mcp_esc_url( $the_user->get( 'user_url' ) ); ?></a></span>
	</div>
	<?php endif; ?>

	<div class="memberchimp-profile-metadata">
		<?php echo mcp_svg_icon( 'calendar' ); ?>
		<span class="mcp-tips" data-tip="<?php echo mcp_get_user_registered_details(); ?>">
			<?php echo sprintf( esc_html__( 'Joined %s', 'memberchimp' ), mcp_get_user_registered() ); ?>
		</span>
	</div>

	<?php do_action( 'memberchimp_inside_profile_sidemeta' ); ?>

</div>

<?php mcp_show_meta_counts(); ?>

<?php do_action( 'memberchimp_after_profile_sidemeta' ); ?>