<?php
/**
 * My Profile nav items
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

do_action( 'memberchimp_before_profile_nav_items' );

?>

<ul class="memberchimp-profile-nav-ul">

	<?php foreach ( mcp_get_profile_menu_items() as $endpoint => $data ) : ?>

		<li class="<?php echo mcp_get_profile_menu_item_classes( $endpoint ); ?>">
			<a href="<?php echo esc_url( isset( $data['url'] ) ? $data['url'] : mcp_get_current_user_endpoint( $endpoint ) ); ?>">
				<?php mcp_profile_menu_icon( $data ); ?>
				<?php
					if ( ! empty( $data[ 'label' ] ) ) :
						echo '<span class="mcp-nav-title">' . esc_html( $data['label'] ) . '</span>';
					endif;
				?>
				<?php mcp_profile_menu_count( $data ); ?>
			</a>
		</li>

	<?php endforeach; ?>

	<?php do_action( 'memberchimp_extend_profile_nav_items' ); ?>

</ul>

<?php do_action( 'memberchimp_after_profile_nav_items' ); ?>