<?php
/**
 * My Profile photo
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

do_action( 'memberchimp_before_profile_photo' );
?>

<div class="memberchimp-profile-photo" data-user_id="<?php echo $the_user->user_id; ?>">

	<?php if ( is_mcp_editing_profile() ) : ?>

		<a href="#" class="memberchimp-profile-photo-edit-overlay mcp-dropdown-init" rel="mcp-dropdown-photo">
			<?php echo mcp_svg_icon( 'camera' ); ?>
		</a>

		<?php do_action( 'memberchimp_user_photo_dropdown' ); ?>

	<?php endif; ?>

	<?php if ( mcp_user_can_edit_profile() && mcp_user_has_no_gravatar() ) : ?>

		<div class="memberchimp-profile-photo-add-wrap mcp-tips" data-tip="<?php echo __( 'Add a profile avatar', 'memberchimp' ); ?>">
			<a href="<?php echo esc_url( mcp_get_profile_endpoint_url( 'edit' ) ); ?>" class="memberchimp-profile-photo-add mcp-dropdown-init" rel="mcp-dropdown-photo"><?php echo mcp_svg_icon( 'camera' ); ?></a>
		</div>

	<?php else : ?>

		<a href="<?php echo memberchimp_get_profile_url(); ?>" class="memberchimp-profile-photo-link mcp-tips" data-tip="<?php echo esc_attr( $the_user->display_name ); ?>">
			<?php echo get_avatar( $the_user->user_id, mcp_get_avatar_template_size() ); ?>
		</a>

	<?php endif; ?>

</div>

<?php do_action( 'memberchimp_after_profile_photo' ); ?>